NC2XY(1)

NAME
nc2xy - Converting netCDF column file(s) to ASCII xy data

SYNOPSIS
nc2xy files [ -Fvar1/var2/... ] [ -S[r] ] [ -V ]

DESCRIPTION
nc2xy reads one or more netCDF files with column data and writes out those columns in ASCII format to standard output, so that they can be used by psxy, psxyz, or xyz2grd. Modify the precision of the ASCII output format by editing the D_FORMAT parameter in your .gmtdefaults4 file or use --D_FORMAT=format on the command line.

files
    Names of netCDF files to be converted.

OPTIONS

-F  Specify up to 10 names of the variables (separated by slashes) to be printed out. All variables need to have only one dimension of equal length. When omited, the first two variables in the netCDF file will be printed.

-S  Suppress output for records with one or more NaN values [Default outputs all nodes]. Append r to reverse the suppression, i.e., only output the records with at least one NaN value.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To print out latitude, longitude and height in a netCDF file as ASCII records, while suppressing all NaN values:

nc2xy -Flat/lon/height -S trackfile.nc > trackfile.xy

SEE ALSO
gmtdefaults(1), GMT(1), grdedit(1), psxy(1), psxyz(1), xyz2grd(1)